aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2017-10-12 11:25:02 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2017-10-12 11:25:02 +0000
commit5bacaba7321c0a24c7f17899118e1b1c4ca8bbb9 (patch)
tree6523cca635a3eb5eb2bc5c1528ba6b9fd7c79a0d
parent604c50f67cd33361737d797f1e627e63f87f4f0c (diff)
tcwg-llvmbot: Yet another fix for handling of gerrit's ssh host key.
... turns out that trying to login to gerrit will exit with "127" code. Change-Id: I42cb48284bccb9d55b71ec79cdabcb1d11c08f11
-rwxr-xr-xtcwg-base/tcwg-llvmbot/build.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/tcwg-base/tcwg-llvmbot/build.sh b/tcwg-base/tcwg-llvmbot/build.sh
index 34860c0f..bbc64ddd 100755
--- a/tcwg-base/tcwg-llvmbot/build.sh
+++ b/tcwg-base/tcwg-llvmbot/build.sh
@@ -29,7 +29,8 @@ cp $top/tcwg-base/$name/run.sh.tmpl run.sh
if [ x"$USER" = x"buildslave" ]; then
user="tcwg-buildslave"
# Add host key for dev-private-review.linaro.org
- ssh -o StrictHostKeyChecking=no -p29418 $user@dev-private-review.linaro.org > /dev/null 2>&1
+ # Trying to get a login shell from gerrit will fail, so "|| true"
+ ssh -o StrictHostKeyChecking=no -p29418 $user@dev-private-review.linaro.org > /dev/null 2>&1 || true
else
user="$USER"
fi